@echo off

rem Stripped Demon.Bat file to call Unbatch and then News.  This batch
rem file should be executed after you have finished your DICS session.
rem Setup an item in your winsock program group to call this batch file.
rem
rem If no BATCH.TXT file is present then News is called directly.  A good
rem way to call SNEWS (for DOS) from windows.
rem
rem Obviously your Demon and Snews paths need to be changed if different
rem to those shown below.  I should imagine the Zeta version of DICS would
rem do this for you :).   Hopefully SNEWS for windows will be available
rem long before then!!!


set TZ=GMT0BST1,M3.4.0/02:00,M10.4.0/02:00
set SNEWS=C:\DEMON\SPOOL\NEWS
set HOME=C:\DEMON\SPOOL\MAIL

C:
set NOPAUSE=
if %1.==NOPAUSE. set NOPAUSE=Y

:chbatch
cls
if exist C:\DEMON\SPOOL\ARTICLES\BATCH.TXT goto unbatch

:nobatch
echo Nothing to UnBatch
if %NOPAUSE%.==. pause
goto news

:unbatch
cd C:\DEMON\SNEWS
unbatch -j
if %NOPAUSE%.==. pause

:news
cd C:\DEMON\SNEWS
snews

:endbat
